package com.yfd.monitor.gdw2019.event.status;

import com.yfd.monitor.gdw2019.bean.DeviceAlarm;
import org.springframework.context.ApplicationEvent;

import java.util.Map;

/**
 * @description: 设备状态事件
 * @data: 2021-01-20
 */

public class StatusEvent extends ApplicationEvent {
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    public StatusEvent(Object source) {
        super(source);
    }

    private Map<String,String> devicestatus;

    public Map<String,String> getDevicestatus() {
        return devicestatus;
    }

    public void setDevicestatus(Map<String,String> devicestatus) {
        this.devicestatus = devicestatus;
    }

}
